<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Structures</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Data Structures</h1>Here are the data structures with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="structM17NObjectHead.html">M17NObjectHead</a></td><td class="indexvalue">The first member of a managed object </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMCodingInfoISO2022.html">MCodingInfoISO2022</a></td><td class="indexvalue">Structure for a coding system of type <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMCodingInfoUTF.html">MCodingInfoUTF</a></td><td class="indexvalue">Structure for extra information about a coding system of type <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMConverter.html">MConverter</a></td><td class="indexvalue">Structure to be used in code conversion </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawControl.html">MDrawControl</a></td><td class="indexvalue">Type of a text drawing control </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawGlyph.html">MDrawGlyph</a></td><td class="indexvalue">Type of information about a glyph metric and font </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawGlyphInfo.html">MDrawGlyphInfo</a></td><td class="indexvalue">Type of information about a glyph </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawMetric.html">MDrawMetric</a></td><td class="indexvalue">Type of metric for glyphs and texts </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMDrawTextItem.html">MDrawTextItem</a></td><td class="indexvalue">Type of textitems </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFaceBoxProp.html">MFaceBoxProp</a></td><td class="indexvalue">Type of box spec of face </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFaceHLineProp.html">MFaceHLineProp</a></td><td class="indexvalue">Type of horizontal line spec of face </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTFont.html">MFLTFont</a></td><td class="indexvalue">Type of font to be used by the FLT driver </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a></td><td class="indexvalue">Type of information about a glyph </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyphAdjustment.html">MFLTGlyphAdjustment</a></td><td class="indexvalue">Type of information about a glyph position adjustment </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a></td><td class="indexvalue">Type of information about a glyph sequence </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a></td><td class="indexvalue">Type of specification of GSUB and GPOS OpenType tables </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputContext.html">MInputContext</a></td><td class="indexvalue">Structure of input context </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputDriver.html">MInputDriver</a></td><td class="indexvalue">Structure of input method driver </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputGUIArgIC.html">MInputGUIArgIC</a></td><td class="indexvalue">Type of the argument to the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputMethod.html">MInputMethod</a></td><td class="indexvalue">Structure of input method </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputXIMArgIC.html">MInputXIMArgIC</a></td><td class="indexvalue">Structure pointed to by the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="structMInputXIMArgIM.html">MInputXIMArgIM</a></td><td class="indexvalue">Structure pointed to by the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="Open an input method.">minput_open_im()</a> </td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
